@import "config/config";

.ce_rsce_joboffer{
	/*
	h2{
		font-family: $small_headline_font;
		font-size: 16px;
		font-weight: normal;
		color: $light_grey_text;
		//background: $white;
		padding: 15px;
		margin:0;
	}*/
	
	&.green {
	   >h3 {
   	   color: $kix_green !important;
   	   background: $white;
   	   padding: 30px 0; 
	   }
	}

	.job-offer_container{
		margin-top: 50px;
		margin-bottom: 50px;
	}

	.job-offer{
		max-width: 700px;
		margin: auto;
		padding: 30px;
		position: relative;

		h3{
			color: $kix_green;
			padding-right: 30px;
			text-transform: uppercase;
			text-align: left;
			font-family: $headline_font;
			letter-spacing: normal;

			span.gender{
				color: $light_grey_text;
				font-size: 12px;
				font-family: $main_font;
				text-transform: uppercase;
			}
		}

		h4{
			color: $text_color;
			font-size: 12px;
			//font-style: italic;
			font-family: $small_headline_font;
			text-transform: uppercase;
			text-align: left;
		}

		.job-offer-div-link{
			position: absolute;
			top: 30px;
			left: 30px;
			z-index: 1;
			width: calc(100% - 60px);
			height: calc(100% - 60px);
		}
	}

	.job-offer-divider{
		max-width: 700px;
		background-color: $offer_divider;
		border: none;
		height: 1px;
	}

	a,
	a:link,
	a:visited,
	a:hover{
		text-decoration: none;
		color: $text_color;
		position: absolute;
		top: 50px;
		right: 50px;
	}
}

.bg_dark_grey,
.bg_blue,
.bg_green,
.bg_gradient_blue_to_bottom,
.bg_gradient_green_to_bottom,
.bg_gradient_green_to_right,
.bg_gradient_green_to_left{ 
   
  .ce_rsce_joboffer {
   
      .job-offer {
         h3 {
            span.gender{
				   color: $white;
			   }
			}
			
     		h4, .job-offer-link {
   		   color: $white;
   	   }
      }
   }
   
   .job-offer-divider{
      background-color: $white;
   }
}

@media (min-width: 768px) {
	.job-offer-text{
		width: 70%
	}
}

body.company {
	.ce_rsce_joboffer{
		.job-offer{
			h3{
				color: $kix_blue;
			}
		}

		a,
		a:link,
		a:visited,
		a:hover{
			color: $text_color;
		}

		.job-offer-text {
			color: $text_color;
		}
	}

}

.mod_rocksolid_slider .rsts-header{
	h3{
		padding-top: 25px;
		padding-bottom: 25px;
		background-color: $kix_dark_blue;
	}
}

.mod_rocksolid_slider .job-offer .job-offer-link{
	display: none;
}

.joboffer-slider {

	.rsts-nav-bullets a.active{
		border: none;
		background-color: #ffffff !important;
		width: 7px !important;
		height: 7px !important;
		box-shadow: none !important;
	}

	.rsts-nav-bullets a{
		border: 1px solid #ffffff;
		background-color: $kix_dark_blue !important;
		width: 7px !important;
		height: 7px !important;
		box-shadow: none !important;
	}

	&.rsts-skin-default .rsts-nav {
		bottom: 40px !important;
		right: 20vw !important;
	}

	.rsts-next, .rsts-prev {
		background-color: transparent !important;
		border: none !important;
		outline: none !important;
		box-shadow: none !important;
		background-repeat: no-repeat !important;
	}

	.rsts-prev {
		background-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" width="13.08" height="24.133"><path d="M11.079 22.133l-8.466-9.737 8.466-10.4" fill="none" stroke="%23b9b9be" stroke-linecap="round" stroke-width="4"/></svg>') !important;
		background-size: 10px 20px !important;
		left: calc(50vw - 450px) !important;
		top: calc(50% - 70px);
	}

	.rsts-next {
		background-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" width="13.08" height="24.133"><path d="M2 2l8.466 9.737L2 22.137" fill="none" stroke="%23b9b9be" stroke-linecap="round" stroke-width="4"/></svg>') !important;
		background-size: 10px 20px !important;
		right: calc(50vw - 450px) !important;
		top: calc(50% - 70px);
	}
}
